# PQoS Class Reference

`#include <qos.h>`

Inheritance diagram for PQoS:

List of all members.

## Public Member Functions

| PQoS ()
| PQoS (DWORD avgBytesPerSec, DWORD winServiceType, int DSCPalternative=-1, DWORD maxFrameBytes=1500, DWORD peakBytesPerSec=QOS_NOT_SPECIFIED)
| PQoS (int DSCPvalue)
void | SetAvgBytesPerSec (DWORD avgBytesPerSec)
void | SetWinServiceType (DWORD winServiceType)
void | SetDSCP (int DSCPvalue)
void | SetMaxFrameBytes (DWORD maxFrameBytes)
void | SetPeakBytesPerSec (DWORD peakBytesPerSec)
DWORD | GetTokenRate () const
DWORD | GetTokenBucketSize () const
DWORD | GetPeakBandwidth () const
DWORD | GetServiceType () const
int | GetDSCP () const

## Static Public Member Functions

static void | SetDSCPAlternative (DWORD winServiceType, UINT dscp)

## Static Public Attributes

static char | bestEffortDSCP
static char | controlledLoadDSCP
static char | guaranteedDSCP

## Protected Attributes

int | dscp
DWORD | tokenRate
DWORD | tokenBucketSize
DWORD | peakBandwidth
DWORD | serviceType

## Constructor & Destructor Documentation

PQoS::PQoS | ( |  | ) |

PQoS::PQoS | ( | DWORD | avgBytesPerSec,
|  | DWORD | winServiceType,
|  | int | DSCPalternative = `-1`,
|  | DWORD | maxFrameBytes = `1500`,
|  | DWORD | peakBytesPerSec = `QOS_NOT_SPECIFIED` |
| ) |  |  |

PQoS::PQoS | ( | int | DSCPvalue | ) |

## Member Function Documentation

int PQoS::GetDSCP | ( |  | ) | const`[inline]`

DWORD PQoS::GetPeakBandwidth | ( |  | ) | const`[inline]`

DWORD PQoS::GetServiceType | ( |  | ) | const`[inline]`

DWORD PQoS::GetTokenBucketSize | ( |  | ) | const`[inline]`

DWORD PQoS::GetTokenRate | ( |  | ) | const`[inline]`

void PQoS::SetAvgBytesPerSec | ( | DWORD | avgBytesPerSec | ) |

void PQoS::SetDSCP | ( | int | DSCPvalue | ) |

static void PQoS::SetDSCPAlternative | ( | DWORD | winServiceType,
|  | UINT | dscp |
| ) |  |  | `[static]`

void PQoS::SetMaxFrameBytes | ( | DWORD | maxFrameBytes | ) |

void PQoS::SetPeakBytesPerSec | ( | DWORD | peakBytesPerSec | ) |

void PQoS::SetWinServiceType | ( | DWORD | winServiceType | ) |

## Member Data Documentation

char PQoS::bestEffortDSCP `[static]`

char PQoS::controlledLoadDSCP `[static]`

int PQoS::dscp `[protected]`

char PQoS::guaranteedDSCP `[static]`

DWORD PQoS::peakBandwidth `[protected]`

DWORD PQoS::serviceType `[protected]`

DWORD PQoS::tokenBucketSize `[protected]`

DWORD PQoS::tokenRate `[protected]`

The documentation for this class was generated from the following file:

- qos.h